<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__canfd__rx__interrupt__masks" kind="group">
    <compoundname>group_canfd_rx_interrupt_masks</compoundname>
    <title>RX Interrupt masks</title>
      <sectiondef kind="define">
      <memberdef id="group__group__canfd__rx__interrupt__masks_1ga5f6b954ff4db0a8324fe186547b395d0" kind="define" prot="public" static="no">
        <name>CY_CANFD_RX_FIFO_0_NEW_MESSAGE</name>
        <initializer>(CANFD_CH_M_TTCAN_IR_RF0N_Msk)</initializer>
        <briefdescription>
<para>Rx FIFO 0 New Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="305" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="305" />
      </memberdef>
      <memberdef id="group__group__canfd__rx__interrupt__masks_1gabfc42300386c411764757afe16d51d21" kind="define" prot="public" static="no">
        <name>CY_CANFD_RX_FIFO_1_NEW_MESSAGE</name>
        <initializer>(CANFD_CH_M_TTCAN_IR_RF1N_Msk)</initializer>
        <briefdescription>
<para>Rx FIFO 1 New Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="306" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="306" />
      </memberdef>
      <memberdef id="group__group__canfd__rx__interrupt__masks_1gae3e730b5241a4eb270275f7e429badc8" kind="define" prot="public" static="no">
        <name>CY_CANFD_RX_BUFFER_NEW_MESSAGE</name>
        <initializer>(CANFD_CH_M_TTCAN_IR_DRX_Msk)</initializer>
        <briefdescription>
<para>Message stored to Dedicated Rx Buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="307" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="307" />
      </memberdef>
      <memberdef id="group__group__canfd__rx__interrupt__masks_1gaeeca6241c9f656a74a175a367f583655" kind="define" prot="public" static="no">
        <name>CY_CANFD_HIGH_PRIORITY_MESSAGE</name>
        <initializer>(CANFD_CH_M_TTCAN_IR_HPM_Msk)</initializer>
        <briefdescription>
<para>High Priority Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="308" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="308" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section contains interrupt bit masks to be used with: </para>    </briefdescription>
    <detaileddescription>
<para><itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__canfd__functions_1ga4e020a36639bbf87de5f9c3dfe92d2a0">Cy_CANFD_GetInterruptStatus()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__canfd__functions_1ga3bcb0dc21a31e9a53996166dad6eb55a">Cy_CANFD_ClearInterrupt()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__canfd__functions_1ga7dfc5fdcdf173c1016b25dbba60a1f57">Cy_CANFD_GetInterruptMask()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__canfd__functions_1ga054d85e42f3f2440743c981dbc52ed0a">Cy_CANFD_SetInterruptMask()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__canfd__functions_1gad10ec138779841932a2c16d3bbb66f13">Cy_CANFD_GetInterruptLine()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__canfd__functions_1ga4f70384d4189cb8a2c95558844b3ad32">Cy_CANFD_SetInterruptLine()</ref> </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>